ICU 73.1 73.1

Public Member Functions
icu::DisplayOptions::Builder Class Reference

Responsible for building `DisplayOptions`. More...

`#include <displayoptions.h>`

## Public Member Functions
Builder & | setGrammaticalCase (UDisplayOptionsGrammaticalCase grammaticalCase)
| Sets the grammatical case. More...
Builder & | setNounClass (UDisplayOptionsNounClass nounClass)
| Sets the noun class. More...
Builder & | setPluralCategory (UDisplayOptionsPluralCategory pluralCategory)
| Sets the plural category. More...
Builder & | setCapitalization (UDisplayOptionsCapitalization capitalization)
| Sets the capitalization. More...
Builder & | setNameStyle (UDisplayOptionsNameStyle nameStyle)
| Sets the dialect handling. More...
Builder & | setDisplayLength (UDisplayOptionsDisplayLength displayLength)
| Sets the display length. More...
Builder & | setSubstituteHandling (UDisplayOptionsSubstituteHandling substituteHandling)
| Sets the substitute handling. More...
DisplayOptions | build ()
| Builds the display options. More...

## Detailed Description

Responsible for building `DisplayOptions`.

Draft:
  This API may be changed in the future versions and was introduced in ICU 72

Definition at line 52 of file displayoptions.h.

## Member Function Documentation

## ◆ build()

DisplayOptions icu::DisplayOptions::Builder::build | ( |  | ) |
| inline

Builds the display options.

Returns
  DisplayOptions

Draft:
  This API may be changed in the future versions and was introduced in ICU 72

Definition at line 144 of file displayoptions.h.

## ◆ setCapitalization()

Builder& icu::DisplayOptions::Builder::setCapitalization | ( | UDisplayOptionsCapitalization | capitalization | ) |
| inline

Sets the capitalization.

Parameters

  capitalization | The capitalization.

Returns
  Builder

Draft:
  This API may be changed in the future versions and was introduced in ICU 72

Definition at line 97 of file displayoptions.h.

## ◆ setDisplayLength()

Builder& icu::DisplayOptions::Builder::setDisplayLength | ( | UDisplayOptionsDisplayLength | displayLength | ) |
| inline

Sets the display length.

Parameters

  displayLength | The display length.

Returns
  Builder

Draft:
  This API may be changed in the future versions and was introduced in ICU 72

Definition at line 121 of file displayoptions.h.

## ◆ setGrammaticalCase()

Builder& icu::DisplayOptions::Builder::setGrammaticalCase | ( | UDisplayOptionsGrammaticalCase | grammaticalCase | ) |
| inline

Sets the grammatical case.

Parameters

  grammaticalCase | The grammatical case.

Returns
  Builder

Draft:
  This API may be changed in the future versions and was introduced in ICU 72

Definition at line 61 of file displayoptions.h.

## ◆ setNameStyle()

Builder& icu::DisplayOptions::Builder::setNameStyle | ( | UDisplayOptionsNameStyle | nameStyle | ) |
| inline

Sets the dialect handling.

Parameters

  nameStyle | The name style.

Returns
  Builder

Draft:
  This API may be changed in the future versions and was introduced in ICU 72

Definition at line 109 of file displayoptions.h.

## ◆ setNounClass()

Builder& icu::DisplayOptions::Builder::setNounClass | ( | UDisplayOptionsNounClass | nounClass | ) |
| inline

Sets the noun class.

Parameters

  nounClass | The noun class.

Returns
  Builder

Draft:
  This API may be changed in the future versions and was introduced in ICU 72

Definition at line 73 of file displayoptions.h.

## ◆ setPluralCategory()

Builder& icu::DisplayOptions::Builder::setPluralCategory | ( | UDisplayOptionsPluralCategory | pluralCategory | ) |
| inline

Sets the plural category.

Parameters

  pluralCategory | The plural category.

Returns
  Builder

Draft:
  This API may be changed in the future versions and was introduced in ICU 72

Definition at line 85 of file displayoptions.h.

## ◆ setSubstituteHandling()

Builder& icu::DisplayOptions::Builder::setSubstituteHandling | ( | UDisplayOptionsSubstituteHandling | substituteHandling | ) |
| inline

Sets the substitute handling.

Parameters

  substituteHandling | The substitute handling.

Returns
  Builder

Draft:
  This API may be changed in the future versions and was introduced in ICU 72

Definition at line 133 of file displayoptions.h.

The documentation for this class was generated from the following file:

- displayoptions.h